- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_vrf – Manage VRFs on network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_vrf” module

## Synopsis

- This module provides declarative management of VRFs on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of VRFs definitions
interfaces - |  | List of interfaces the VRF should be configured on.
name - |  | Name of the VRF.
purge - | Default: "no" | Purge VRFs not defined in the aggregate parameter.
state - | Choices: present ← absent | State of the VRF configuration.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: Create VRF named MANAGEMENT
      net_vrf:
        name: MANAGEMENT

    - name: remove VRF named MANAGEMENT
      net_vrf:
        name: MANAGEMENT
        state: absent

    - name: Create aggregate of VRFs with purge
      net_vrf:
        aggregate:
          - { name: test4, rd: "1:204" }
          - { name: test5, rd: "1:205" }
        state: present
        purge: yes

    - name: Delete aggregate of VRFs
      net_vrf:
        aggregate:
          - name: test2
          - name: test3
          - name: test4
          - name: test5
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['vrf definition MANAGEMENT']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.